> For the complete documentation index, see [llms.txt](https://docs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akinon.com/technical-guides/oms/inventory-locations-and-engine/customization.md).

# Customization

## <mark style="color:red;">Inventory (Stock) Location APIs</mark>

### <mark style="color:red;">`GET`</mark> <mark style="color:red;">Stock Location List​</mark> <a href="#get-stock-location-list" id="get-stock-location-list"></a>

**Path:** /api/v1/oms/stocklocations/

**Response**

```
{
  "count": 1,
  "next": "/api/v1/oms/stocklocations/?page=2",
  "previous": null,
  "results": [
    {
      "id": 0,
      "stock_location_type": "store",
      "address": {
        "id": 26930,
        "mapping": null,
        "country": {
          "pk": 1,
          "name": "Türkiye",
          "code": "tr",
          "is_active": true,
          "longitude": null,
          "latitude": null
        },
        "city": {
          "pk": 32,
          "name": "ESKİŞEHİR",
          "country": 1,
          "is_active": true,
          "longitude": null,
          "latitude": null
        },
        "township": {
          "pk": 370,
          "name": "ODUNPAZARI",
          "city": 32,
          "is_active": true,
          "longitude": null,
          "latitude": null
        },
        "district": {
          "pk": 28671,
          "name": " MAH",
          "city": 32,
          "township": 370,
          "is_active": true,
          "longitude": null,
          "latitude": null
        },
        "title": " Toprak",
        "is_active": true,
        "line": "--",
        "postcode": null,
        "notes": null,
        "longitude": "30.50768700",
        "latitude": "39.77443700"
      },
      "engine": 1,
      "category": null,
      "created_date": "2021-05-21T09:06:28.524204Z",
      "modified_date": "2021-05-21T09:06:28.524233Z",
      "omnitron_id": null,
      "name": "Kırmızı Toprak",
      "is_fulfillment_center": true,
      "is_pickup_location": false,
      "is_delivery_location": false,
      "is_return_available": false,
      "is_fast_delivery_available": null,
      "is_active": true,
      "priority": 1,
      "conf": {},
      "daytime_phone": "00000000000",
      "evening_phone": "00000000000",
      "fax_number": "",
      "email": "",
      "target_packing_interval": "5 00:00:00",
      "target_transfer_interval": "3 00:00:00",
      "erp_code": "--",
      "use_as_shipper_location": false
    }
  ]
}
```

### <mark style="color:red;">`POST`</mark> <mark style="color:red;">Create Stock Location​</mark> <a href="#post-create-stock-location" id="post-create-stock-location"></a>

**Path:** /api/v1/oms/stocklocations/

```
{
    "stock_location_type":"store",
    "address" :{
        "city" : {
            "name":"Adana",
            "country":"Türkiye",
            "is_active":1,
            "longitude":1,
            "latitude":1
        },
        "country":{
            "code":"TR",
             "name":"Adana",
            "country":"Türkiye",
            "is_active":1,
            "longitude":1,
            "latitude":1
        },
        "township":{
            "name":"Adana",
            "country":"Türkiye",
            "is_active":1,
            "longitude":1,
            "latitude":1
        },
        "district":{
              "name":"Adana",
            "country":"Türkiye",
            "is_active":1,
            "longitude":1,
            "latitude":1,
            "township":11
        }
    }
}
```

### <mark style="color:red;">`PATCH`</mark> <mark style="color:red;">Update Stock Location​</mark> <a href="#patch-update-stock-location" id="patch-update-stock-location"></a>

**Path:** /api/v1/oms/stocklocations/

```
{
    "stock_location_type":"store",
    "address" :{
        "city" : {
            "name":"Adana",
            "country":"Türkiye",
            "is_active":1,
            "longitude":1,
            "latitude":1
        },
        "country":{
            "code":"TR",
             "name":"Adana",
            "country":"Türkiye",
            "is_active":1,
            "longitude":1,
            "latitude":1
        },
        "township":{
            "name":"Adana",
            "country":"Türkiye",
            "is_active":1,
            "longitude":1,
            "latitude":1
        },
        "district":{
              "name":"Adana",
            "country":"Türkiye",
            "is_active":1,
            "longitude":1,
            "latitude":1,
            "township":11
        }
    }
}
```

### <mark style="color:red;">`PATCH`</mark> <mark style="color:red;">Add Releated Adress​</mark> <a href="#patch-add-releated-adress" id="patch-add-releated-adress"></a>

**Path:** /api/v1/oms/stocklocations/{id}/related\_address/

```
{
    "title": "New Adres",
    "is_active": true,
    "line": "Line lorem ipsum dolor sit amet.",
    "postcode": "600652",
    "notes": "Note lorem ipsum dolor sit amet.",
    "longitude": "41.56583730",
    "latitude": "41.75196010",
    "country":2,
    "city":11,
    "township":5,
    "district": 2
}
```

### <mark style="color:red;">`DELETE`</mark> <mark style="color:red;">Remove Related Address​</mark> <a href="#delete-remove-related-address" id="delete-remove-related-address"></a>

**Path:** /api/v1/oms/stocklocations/{id}/related\_address/{related\_id}

**Response**

```
null
```

### <mark style="color:red;">`GET`</mark> <mark style="color:red;">List Related Address​</mark> <a href="#get-list-related-address" id="get-list-related-address"></a>

**Path:** /api/v1/oms/stocklocations/{id}/related\_address/

**Response**

```
{
    "title": "New Adres",
    "is_active": true,
    "line": "Line lorem ipsum dolor sit amet.",
    "postcode": "600652",
    "notes": "Note lorem ipsum dolor sit amet.",
    "longitude": "41.56583730",
    "latitude": "41.75196010",
    "country":2,
    "city":11,
    "township":5,
    "district": 2
}
```

### <mark style="color:red;">`GET`</mark> <mark style="color:red;">List Stok Location Category​</mark> <a href="#get-list-stok-location-category" id="get-list-stok-location-category"></a>

**Request**

**Path:** /api/v1/oms/stocklocation-categories/

**Response**

```
{
    "count": 1,
    "next": "",
    "previous": "",
    "results": [  {
        "name":"xxx",
        "remote_id":"xxx"
    }]
}
 
```

### <mark style="color:red;">`POST`</mark> <mark style="color:red;">Create Stock Location Category​</mark> <a href="#post-create-stock-location-category" id="post-create-stock-location-category"></a>

**Path:** /api/v1/oms/stocklocation-categories/

```
    {
        "name":"xxx",
        "remote_id":"xxx"
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akinon.com/technical-guides/oms/inventory-locations-and-engine/customization.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
